> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Image to Review

> Extract review metadata and customer details from a single review image.



## OpenAPI

````yaml POST /tools/image-to-review
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /tools/image-to-review:
    post:
      description: Extract review metadata and customer details from a single review image.
      requestBody:
        description: Image-to-review extraction parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageToReviewRequest'
            examples:
              default:
                value:
                  query: >-
                    https://medcampus.it/wp-content/uploads/2025/04/Alessia-Pacchioli.png
                  image_id: 123
        required: true
      responses:
        '200':
          description: Review information extracted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageToReviewResponse'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    status: 400
                    data: {}
                    success: false
                    message: <string>
      servers:
        - url: https://api.hobbo.ai
components:
  schemas:
    ImageToReviewRequest:
      type: object
      required:
        - query
        - image_id
      properties:
        query:
          type: string
          description: Publicly accessible URL of the review image.
        image_id:
          type: integer
          description: Identifier of the review image or template to process.
    ImageToReviewResponse:
      type: object
      properties:
        author_profile_image_base64:
          type: string
          description: Base64 encoded profile image of the reviewer.
        customer_company:
          type: string
          description: Company associated with the reviewer.
        customer_designation:
          type: string
          description: Designation or job title of the reviewer.
        customer_details:
          type: string
          description: Additional reviewer details such as location.
        customer_email:
          type: string
          description: Reviewer email address.
        customer_name:
          type: string
          description: Name of the reviewer.
        review_date:
          type: string
          description: Date and time when the review was submitted.
        review_rating:
          type: number
          description: Star rating parsed from the review.
        review_text:
          type: string
          description: Full text of the extracted review.
        review_title:
          type: string
          description: Title or headline of the review.
        username:
          type: string
          description: Username or handle of the reviewer.
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````